# TdApi.ChatPhotoSticker (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatPhotoSticker

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatPhotoSticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPhotoSticker

Enclosing class:
  TdApi

public static final class TdApi.ChatPhotoSticker extends TdApi.Object
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.BackgroundFill`
`backgroundFill`
The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.
`static final int`
`CONSTRUCTOR`
`TdApi.ChatPhotoStickerType`
`type`
Type of the sticker.

## Constructor Summary

Constructors
Constructor
Description
`ChatPhotoSticker()`
Information about the sticker, which was used to create the chat photo.
`ChatPhotoSticker(TdApi.ChatPhotoStickerType type, TdApi.BackgroundFill backgroundFill)`
Information about the sticker, which was used to create the chat photo.
`ChatPhotoSticker(DataInput input)`
Information about the sticker, which was used to create the chat photo.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.ChatPhotoStickerType type
Type of the sticker.

### backgroundFill

public TdApi.BackgroundFill backgroundFill
The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatPhotoSticker

public ChatPhotoSticker()
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

### ChatPhotoSticker

public ChatPhotoSticker(TdApi.ChatPhotoStickerType type, TdApi.BackgroundFill backgroundFill)
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

Parameters:
  `type` - ChatPhotoStickerType Type of the sticker.
  `backgroundFill` - BackgroundFill The fill to be used as background for the sticker; rotation angle in backgroundFillGradient isn't supported.

### ChatPhotoSticker

public ChatPhotoSticker(DataInput input) throws IOException
Information about the sticker, which was used to create the chat photo. The sticker is shown at the center of the photo and occupies at most 67% of it.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`